Create
curl --request POST \
--url https://api.qa.sima.ag/api/v3/third_party/master_campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
{
"name": "Soja | De primera | 2025/2026",
"cultivation_id": 1,
"planting_time_id": 1,
"cycle_id": 8
}
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/master_campaigns"
payload = {
"name": "Soja | De primera | 2025/2026",
"cultivation_id": 1,
"planting_time_id": 1,
"cycle_id": 8
}
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Soja | De primera | 2025/2026',
cultivation_id: 1,
planting_time_id: 1,
cycle_id: 8
})
};
fetch('https://api.qa.sima.ag/api/v3/third_party/master_campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/master_campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Soja | De primera | 2025/2026',
'cultivation_id' => 1,
'planting_time_id' => 1,
'cycle_id' => 8
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Version 3 > Master Campaigns
Create
Crea una campaña maestra para la sociedad del usuario. Requiere permiso CREATE sobre MasterCampaign.
Body requerido: name, cultivation_id, planting_time_id, cycle_id.
POST
/
api
/
v3
/
third_party
/
master_campaigns
Create
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
application/json
The body is of type object.
Response
201 - application/json
Successful response

